{#
 # This file is part of the DATAtourisme project.
 # @author Conjecto <contact@conjecto.com>
 # 2022
 # SPDX-License-Identifier: GPL-3.0-or-later
 # For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 #}

{% extends "@DatatourismeWebApp/public_layout.html.twig" %}
{% form_theme form with ['DatatourismeWebAppBundle:Form:bootstrap_3_layout.html.twig', _self] %}

{% block _form_email_widget -%}
    {{ form_widget(form) }}
    <span class="fa fa-envelope form-control-feedback"></span>
{% endblock %}

{% block content_container %}
    <div class="container" style="padding-top: 7%;padding-bottom: 7%;">
        <div class="row">
            <div class="col-lg-offset-4 col-lg-4 col-sm-offset-3 col-sm-6">
                <div class="box box-widget m-b-0">
                    <div class="box-header with-border">
                        <h3 class="box-title">{{ 'title.password_reset' | trans }}</h3>
                    </div>

                    <div class="box-body">
                        <p class="text-muted">{{ 'text.password_reset' | trans }} :</p>
                        {{ form_start(form) }}
                        {{ form_row(form.email, {label: false, group_attr: {class: 'has-feedback'}}) }}
                        <button type="submit" class="btn btn-primary btn-block">{{ 'btn.send' | trans }}</button>
                        {{ form_end(form) }}
                    </div>

                    <div class="box-footer">
                        <a href="{{ path('security.login') }}">{{ 'link.login_back' | trans }}</a><br>
                    </div>
                </div>
            </div>
        </div>
    </div>
{% endblock %}